package com.alterdekim.game.component.game;

import com.alterdekim.game.xml.NumericBooleanSerializer;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.dataformat.xml.annotation.JacksonXmlProperty;
import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
public class InitMagicAbility {
    @JacksonXmlProperty(localName = "Id", isAttribute = true)
    private Integer id;
    @JacksonXmlProperty(localName = "ExpirationDate", isAttribute = true)
    private String expirationDate;
    @JacksonXmlProperty(localName = "IsLimited", isAttribute = true)
    @JsonSerialize(using= NumericBooleanSerializer.class)
    private Boolean isLimited;
}
