package com.alterdekim.game.repository;

import com.alterdekim.game.entity.ResourceObject;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Optional;

@Repository
public interface ResourceObjectRepository extends JpaRepository<ResourceObject, Long> {
    Optional<ResourceObject> findById(Long id);

    List<ResourceObject> findAll();
}
