package com.alterdekim.game.component.game;

import com.alterdekim.game.message.amf.AMFKey;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.ToString;

import java.util.Map;

@ToString
@Getter
@AllArgsConstructor
@NoArgsConstructor
public class UserAvatar {
    @AMFKey(name = "Level")
    private Integer level;

    @AMFKey(name = "Name")
    private String name;

    private Double x;

    private Double y;

    @AMFKey(name = "State")
    private Double state;

    @AMFKey(name = "Body")
    private Map<String, BodyAvatarItem> body;
}
